summaryrefslogtreecommitdiff
path: root/dev-qt/qtbluetooth
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-08 15:31:40 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-08 15:31:40 +0100
commit02be2ba9d384b287a0a58d496582b5ae3275934b (patch)
tree62b48d9776dc258f3f1407c3910deb6748ea5d04 /dev-qt/qtbluetooth
parenta008552bd1e0022e8d8811eb5344c3a7dd918653 (diff)
dev-qt : import 5.11.1 from gentoo tree, prepare for qt5 bump
Diffstat (limited to 'dev-qt/qtbluetooth')
-rw-r--r--dev-qt/qtbluetooth/qtbluetooth-5.11.1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-qt/qtbluetooth/qtbluetooth-5.11.1.ebuild b/dev-qt/qtbluetooth/qtbluetooth-5.11.1.ebuild
new file mode 100644
index 00000000..7f4a8b1b
--- /dev/null
+++ b/dev-qt/qtbluetooth/qtbluetooth-5.11.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtconnectivity"
+inherit qt5-build
+
+DESCRIPTION="Bluetooth support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+ ~dev-qt/qtconcurrent-${PV}
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdbus-${PV}
+ >=net-wireless/bluez-5:=
+ qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+DEPEND="${RDEPEND}
+ ~dev-qt/qtnetwork-${PV}
+"
+
+src_prepare() {
+ sed -i -e 's/nfc//' src/src.pro || die
+
+ qt_use_disable_mod qml quick src/src.pro
+
+ qt5-build_src_prepare
+}